Method: projects.locations.runtimes.switch

관리형 노트북 런타임을 전환합니다.

HTTP 요청

POST https://notebooks.googleapis.com/v1/{name}:switch

경로 매개변수

매개변수
name

string

필수 항목. 형식: projects/{projectId}/locations/{location}/runtimes/{runtimeId}

승인을 처리하려면 지정된 리소스 name에 대해 다음과 같은 IAM 권한이 필요합니다.

  • notebooks.runtimes.switch

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{
  "machineType": string,
  "acceleratorConfig": {
    object (RuntimeAcceleratorConfig)
  },
  "requestId": string
}
필드
machineType

string

머신 유형입니다.

acceleratorConfig

object (RuntimeAcceleratorConfig)

가속기 구성

requestId

string

멱등성 요청 UUID입니다.

응답 본문

성공한 경우 응답 본문에 Operation의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

자세한 내용은 Authentication Overview를 참조하세요.